Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Class TextOutputHandler

    java.lang.Object
      org.xml.sax.HandlerBase
          com.jclark.xsl.sax.TextOutputHandler

All Implemented Interfaces:
  org.xml.sax.DocumentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, OutputDocumentHandler

public class TextOutputHandler
extends org.xml.sax.HandlerBase
implements OutputDocumentHandler

An object which serailizes SAX 1 events to raw text

Constructor Summary
`TextOutputHandler()`
`TextOutputHandler(java.io.Writer writer)`

Method Summary
`void` | `characters(char[] cbuf, int off, int len)`
`void` | `endDocument()`
`org.xml.sax.DocumentHandler` | `init(Destination dest, org.xml.sax.AttributeList atts)` initialize with the given target destination and xsl:output attributes.

Methods inherited from class org.xml.sax.HandlerBase
`endElement, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, startDocument, startElement, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.DocumentHandler
`endElement, ignorableWhitespace, processingInstruction, setDocumentLocator, startDocument, startElement`

Constructor Detail

### TextOutputHandler

    public TextOutputHandler()

### TextOutputHandler

    public TextOutputHandler(java.io.Writer writer)

Method Detail

### init

    public org.xml.sax.DocumentHandler init(Destination dest,
                                            org.xml.sax.AttributeList atts)
                                     throws java.io.IOException

  Description copied from interface: `OutputDocumentHandler`
  initialize with the given target destination and xsl:output attributes.

  Specified by:
    `init` in interface `OutputDocumentHandler`
  Returns:
    a new DocumentHandler appropriate to the task, or possibly this
  Throws:
    `java.io.IOException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] cbuf,
                           int off,
                           int len)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD